//******************************************************************************
// FILE:       	demo.h
//              
// AUTHOR:     	CC Cox
//              
// PROJECT:    	SynchroChron
//              
// DESCRIPTION:	Demo project include file
//
// HISTORY:
//		$Log: demo.h,v $
//		Revision 1.2  2006-01-26 12:17:12-05  chuck
//		Release candidate
//
//		Revision 1.1 2006-01-13 chuck
//		Code review changes
//
//		Revision 1.0 2005-11-17 chuck
//		Initial revision
//
// Copyright (c) 2006 SynchroSystems Inc
// Use subject to terms of License Agreement at http://synchro.com/policies.html
//******************************************************************************

#ifndef __DEMO_H
#define __DEMO_H

//------------------------------------------------------------------------------
// include files
//------------------------------------------------------------------------------
#include "msp430.h"						// processor-specific definitions
#include "macros.h"						// common macros
#include "lcd.h"						// display driver interface

//******************************************************************************
// PUBLIC DECLARATIONS
//******************************************************************************

//------------------------------------------------------------------------------
// constants
//------------------------------------------------------------------------------
#define LED_PORT		P1OUT			// LED drive port
#define LED_BIT			BIT0			// LED bit mask

//------------------------------------------------------------------------------
// functions
//------------------------------------------------------------------------------
extern void Init(void);					// device initialization (init.c)
extern void Demo(void);					// demo entry point (demo.c)
extern void DemoTimer(void);			// demo timer handler (demo.c)

#endif	// __DEMO_H
